Package org.eclipse.lemminx.extensions.xsd.participants

## Class XSDFilePathSupportParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.xsd.participants.XSDFilePathSupportParticipant

All Implemented Interfaces:
  `IFilePathSupportParticipant`

    public class XSDFilePathSupportParticipant
    extends Object
    implements IFilePathSupportParticipant

XML Schema file path support for *.xsd to provide completion for attributes :

- include/@schemaLocation
- import/@schemaLocation

### Constructor Summary

Constructors
`XSDFilePathSupportParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<IFilePathExpression>` `collectFilePathExpressions​(DOMDocument document)` Returns the file path expressions used to mark DOM nodes as file type for the given DOM document and null or empty otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XSDFilePathSupportParticipant

    public XSDFilePathSupportParticipant()

### Method Detail

#### collectFilePathExpressions

    public List<IFilePathExpression> collectFilePathExpressions​(DOMDocument document)

Description copied from interface: `IFilePathSupportParticipant`
Returns the file path expressions used to mark DOM nodes as file type for the given DOM document and null or empty otherwise.

Specified by:
  `collectFilePathExpressions` in interface `IFilePathSupportParticipant`
Parameters:
  `document` - the DOM document.
Returns:
  the file path expressions used to mark DOM nodes as file type for the given DOM document and null or empty otherwise.